import requests
url = "https://api.pingr.ai/api/v1/agents/agent_12345"
headers = {
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.json())
const response = await fetch("https://api.pingr.ai/api/v1/agents/agent_12345", {
method: "DELETE",
headers: {
"Authorization": "Bearer <token>"
}
});
const data = await response.json();
console.log(data);
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.pingr.ai/api/v1/agents/agent_12345"))
.header("Authorization", "Bearer <token>")
.DELETE()
.build();
HttpResponse<String> response =
HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
curl -X DELETE "https://api.pingr.ai/api/v1/agents/agent_12345" \
-H "Authorization: Bearer <token>"
{
"status": "success",
"message": "Agent agent_12345 deleted successfully"
}
{
"error": 404,
"message": "Agent not found"
}
Agents
Delete agent
Permanently remove an existing Voice AI agent
DELETE
/
api
/
v1
/
agents
/
{agent_id}
import requests
url = "https://api.pingr.ai/api/v1/agents/agent_12345"
headers = {
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.json())
const response = await fetch("https://api.pingr.ai/api/v1/agents/agent_12345", {
method: "DELETE",
headers: {
"Authorization": "Bearer <token>"
}
});
const data = await response.json();
console.log(data);
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.pingr.ai/api/v1/agents/agent_12345"))
.header("Authorization", "Bearer <token>")
.DELETE()
.build();
HttpResponse<String> response =
HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
curl -X DELETE "https://api.pingr.ai/api/v1/agents/agent_12345" \
-H "Authorization: Bearer <token>"
{
"status": "success",
"message": "Agent agent_12345 deleted successfully"
}
{
"error": 404,
"message": "Agent not found"
}
Permanently deletes the specified agent and detaches all associated telephony phone number bindings. Active calls will be hung up before deletion is completed.
Authentication
This endpoint requires Bearer token authentication.Authorization: Bearer <token>
Input parameters
string
required
Unique identifier of the agent to delete. Example:
agent_12345.string
required
Bearer token for authentication. Format:
Bearer <token>.import requests
url = "https://api.pingr.ai/api/v1/agents/agent_12345"
headers = {
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.json())
const response = await fetch("https://api.pingr.ai/api/v1/agents/agent_12345", {
method: "DELETE",
headers: {
"Authorization": "Bearer <token>"
}
});
const data = await response.json();
console.log(data);
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.pingr.ai/api/v1/agents/agent_12345"))
.header("Authorization", "Bearer <token>")
.DELETE()
.build();
HttpResponse<String> response =
HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
curl -X DELETE "https://api.pingr.ai/api/v1/agents/agent_12345" \
-H "Authorization: Bearer <token>"
{
"status": "success",
"message": "Agent agent_12345 deleted successfully"
}
{
"error": 404,
"message": "Agent not found"
}
‹ PreviousNext ›
Agents Overview
Return to Voice AI agents architecture overview
Was this page helpful?